Slider

Bootstrap Slider

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap slider is an interactive component that lets the user swiftly slide through possible values spread over a desired range.


Multi-range slider

Note: You can also see multi-range sliders, but remember, that they do not work with this plugin.

Multi-range slider docs

A multi-range-slider slider is gonna autoinit if you add class multi-range-slider to your element. Multi-range Slider starts with max 100 and min 0 values.


Its basic implementation is quite simple and does not require big blocks of code.

Examples of Bootstrap slider use:

  • Video progress bar
  • Volume increase/decrease
  • Enthusiasm-o-meter

Look at the following Bootstrap slider examples:

Notification

If you were looking for a slider but you meant a carousel component, click here to see all the possibilities.


Default slider

Default styling for Bootstrap Slider component

You can create custom <input type="range"> controls with .custom-range. The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only IE and Firefox support “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

        
            

        <label for="customRange1">Example range</label>
        <input type="range" class="custom-range" id="customRange1">

      
        
    

Range inputs have implicit values for min and max0 and 100, respectively. You may specify new values for those using the min and max attributes.

        
            

        <label for="customRange2">Example range</label>
        <input type="range" class="custom-range" min="0" max="5" id="customRange2">

      
        
    

By default, range inputs “snap” to integer values. To change this, you can specify a step value. In the example below, we double the number of steps by using step="0.5".

        
            

        <label for="customRange3">Example range</label>
        <input type="range" class="custom-range" min="0" max="5" step="0.5" id="customRange3">

      
        
    

Material slider MDB Pro component

Material Design styling for the Bootstrap Slider component

        
            

        <form class="range-field">
          <input type="range" min="0" max="100" />
        </form>

      
        
    

Slider with updating value

Material example MDB Pro component

        
            

        <div class="d-flex justify-content-center my-4">
          <form class="range-field w-75">
            <input id="slider11" class="border-0" type="range" min="0" max="200" />
          </form>
          <span class="font-weight-bold text-primary ml-2 mt-1 valueSpan"></span>
        </div>

      
        
    
        
            

        $(document).ready(function() {
    
          const $valueSpan = $('.valueSpan');
          const $value = $('#slider11');
          $valueSpan.html($value.val());
          $value.on('input change', () => {
      
            $valueSpan.html($value.val());
          });
        });

      
        
    

Default example

        
            

        <div class="d-flex justify-content-center my-4">
          <div class="w-75">
            <input type="range" class="custom-range" id="customRange11" min="0" max="200">
          </div>
          <span class="font-weight-bold text-primary ml-2 valueSpan2"></span>
        </div>

      
        
    
        
            

        $(document).ready(function() {
      
          const $valueSpan = $('.valueSpan2');
          const $value = $('#customRange11');
          $valueSpan.html($value.val());
          $value.on('input change', () => {
    
            $valueSpan.html($value.val());
          });
        });

      
        
    

Slider with different widths MDB Pro component

Modify the width of the slider.

        
            

        <form class="range-field my-4 w-25">
          <input type="range" min="0" max="100" />
        </form>

        <form class="range-field my-4 w-50">
          <input type="range" min="0" max="100" />
        </form>

        <form class="range-field my-4 w-75">
          <input type="range" min="0" max="100" />
        </form>

        <form class="range-field my-4 w-100">
          <input type="range" min="0" max="100" />
        </form>

      
        
    

Slider with first and last value MDB Pro component

Use the example to add values with max and min offset at the beginning and end of the slider.

        
            

        <div class="d-flex justify-content-center my-4">
          <span class="font-weight-bold indigo-text mr-2 mt-1">0</span>
          <form class="range-field w-25">
            <input class="border-0" type="range" min="0" max="100" />
          </form>
          <span class="font-weight-bold indigo-text ml-2 mt-1">100</span>
        </div>

        <div class="d-flex justify-content-center my-4">
          <span class="font-weight-bold blue-text mr-2 mt-1">0</span>
          <form class="range-field w-50">
            <input class="border-0" type="range" min="0" max="100" />
          </form>
          <span class="font-weight-bold blue-text ml-2 mt-1">100</span>
        </div>

        <div class="d-flex justify-content-center my-4">
          <span class="font-weight-bold purple-text mr-2 mt-1">0</span>
          <form class="range-field w-75">
            <input class="border-0" type="range" min="0" max="100" />
          </form>
          <span class="font-weight-bold purple-text ml-2 mt-1">100</span>
        </div>

      
        
    

Slider with icons within a card MDB Pro component

Card image cap

Choose your slider option

        
            

        <div class="card blue-grey lighten-5">

          <!--Card image-->
          <img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20%282%29.webp" alt="Card image cap">

          <div class="card-body text-center">

            <h3 class="indigo-text mt-4"><strong>Choose your slider option</strong></h3>

            <div class="d-flex justify-content-center my-4 pt-3">
              <span class="font-weight-bold blue-text mr-2 mt-1"><i class="fas fa-thumbs-down" aria-hidden="true"></i></span>
              <form class="range-field w-75">
                <input class="border-0" type="range" min="0" max="100" />
              </form>
              <span class="font-weight-bold blue-text ml-2 mt-1"><i class="fas fa-thumbs-up" aria-hidden="true"></i></span>
            </div>

            <div class="d-flex justify-content-center my-4 pt-3">
              <span class="font-weight-bold indigo-text mr-2 mt-1"><i class="fas fa-dollar-sign" aria-hidden="true"></i></span>
              <form class="range-field w-75">
                <input class="border-0" type="range" min="0" max="100" />
              </form>
              <span class="font-weight-bold indigo-text ml-2 mt-1"><i class="fas fa-euro-sign" aria-hidden="true"></i></span>
            </div>

            <div class="d-flex justify-content-center my-4 pt-3">
              <span class="font-weight-bold purple-text mr-2 mt-1"><i class="fas fa-minus" aria-hidden="true"></i></span>
              <form class="range-field w-75">
                <input class="border-0" type="range" min="0" max="100" />
              </form>
              <span class="font-weight-bold purple-text ml-2 mt-1"><i class="fas fa-plus" aria-hidden="true"></i></span>
            </div>

          </div>
        </div>

      
        
    

Slider with a price counter MDB Pro component

Slider demonstrating the difference between the revenue and the price paid by the client.

Slide to see the pricing change


You earn

75$

Client pays

319$

        
            

        <div class="card">
          <div class="card-body">

            <h3 class="text-center font-weight-bold blue-text mt-3 mb-4 pb-4"><strong>Slide to see the pricing change</strong></h3>
            <hr>

            <form class="range-field my-5">
              <input id="calculatorSlider" class="no-border" type="range" value="0" min="0" max="30" />
            </form>

            <!-- Grid row -->
            <div class="row">

              <!-- Grid column -->
              <div class="col-md-6 text-center pb-5">

                <h2><span class="badge blue lighten-2 mb-4">You earn</span></h2>
                <h2 class="display-4" style="color:#0d47a1"><strong id="resellerEarnings">75$</strong></h2>

              </div>
              <!-- Grid column -->

              <!-- Grid column -->
              <div class="col-md-6 text-center pb-5">

                <h2><span class="badge blue lighten-2 mb-4">Client pays</span></h2>
                <h2 class="display-4" style="color:#0d47a1"><strong id="clientPrice">319$</strong></h2>

              </div>
              <!-- Grid column -->

            </div>
            <!-- Grid row -->

          </div>
        </div>

      
        
    
        
            
            const slider = $("#calculatorSlider");
            const developerBtn = $("#developerBtn");
            const corporateBtn = $("#corporateBtn");
            const privateBtn = $("#privateBtn");
            const reseller = $("#resellerEarnings");
            const client = $("#clientPrice");
            const percentageBonus = 30; // = 30%
            const license = {
              corpo: {
                active: true,
                price: 319,
              },
              dev: {
                active: false,
                price: 149,
              },
              priv: {
                active: false,
                price: 79,
              }
            }

            function calculate(price, value) {
              client.text((Math.round((price - (value / 100 * price)))) + '$');
              reseller.text((Math.round(((percentageBonus - value) / 100 * price))) + '$')
            }

            function reset(price) {
              slider.val(0);
              client.text(price + '$');
              reseller.text((Math.round((percentageBonus / 100 * price))) + '$');
            }
            developerBtn.on('click', function (e) {
              license.dev.active = true;
              license.corpo.active = false;
              license.priv.active = false;
              reset(license.dev.price)
            });
            privateBtn.on('click', function (e) {
              license.dev.active = false;
              license.corpo.active = false;
              license.priv.active = true;
              reset(license.priv.price);
            });
            corporateBtn.on('click', function (e) {
              license.dev.active = false;
              license.corpo.active = true;
              license.priv.active = false;
              reset(license.corpo.price);
            });
            slider.on("input change", function (e) {
              if (license.priv.active) {
                calculate(license.priv.price, $(this).val());
              } else if (license.corpo.active) {
                calculate(license.corpo.price, $(this).val());
              } else if (license.dev.active) {
                calculate(license.dev.price, $(this).val());
              }
            })

Vue Bootstrap Slider

Vue Slider - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap slider is an interactive component that lets the user swiftly slide through possible values spread on the desired range.

Its basic implementation is quite simple and does not require big blocks of code.

Examples of Bootstrap slider use:

  • Video progress bar
  • Volume increase/decrease
  • Enthusiasm-o-meter

See the following Bootstrap slider examples:

Info notification

If you were looking for a slider and you meant a carousel component, click here to see all the possibilities.


Default slider

Default styling for Bootstrap Slider component

Create custom <input type="range"> controls with .custom-range. The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only IE and Firefox support “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

        
            
      <template>
        <div>
          <label for="customRange1">Example range</label>
          <input type="range" class="custom-range" id="customRange1">
        </div>
      </template>
      
        
    

Material slider MDB Pro component

Material Design styling for Bootstrap Slider component

        
            
      <template>
        <mdb-range-input :min="0" :max="100" v-model="rangeValue"></mdb-range-input>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbRangeInput
        } from 'mdbvue';
        export default {
          name: 'SelectPage',
          components: {
            mdbRangeInput
          },
          data() {
            return {
              rangeValue: 50
            }
          }
        }
      </script>
      
        
    

Slider with different width MDB Pro component

Modify the width of the slider.

        
            
      <template>
        <div>
          <mdb-range-input wrapperClass="my-4 w-25" :min="0" :max="100" v-model="range1Value" wrapperClassName>
          </mdb-range-input>
          <mdb-range-input wrapperClass="my-4 w-50" :min="0" :max="100" v-model="range2Value" wrapperClassName>
          </mdb-range-input>
          <mdb-range-input wrapperClass="my-4 w-75" :min="0" :max="100" v-model="range3Value" wrapperClassName>
          </mdb-range-input>
          <mdb-range-input wrapperClass="my-4 w-100" :min="0" :max="100" v-model="range4Value" wrapperClassName>
          </mdb-range-input>
        </div>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbRangeInput
        } from 'mdbvue';
        export default {
          name: 'SelectPage',
          components: {
            mdbRangeInput
          },
          data() {
            return {
              range1Value: 50,
              range2Value: 50,
              range3Value: 50,
              range4Value: 50
            }
          }
        }
      </script>
      
        
    

Slider with first and last value MDB Pro component

Use the example to add values with max and min offset at the beginning and end of the slider.

0
100
0
100
0
100
        
            
        <template>
          <div>
            <div class="d-flex justify-content-center my-4">
              <mdb-range-input wrapperClass="my-4 w-25" :min="20" :max="50" v-model="slider1Value" wrapperClassName>
              </mdb-range-input>
            </div>
            <div class="d-flex justify-content-center my-4">
              <mdb-range-input wrapperClass="my-4 w-50" :min="0" :max="40" v-model="slider2Value" wrapperClassName>
              </mdb-range-input>
            </div>
            <div class="d-flex justify-content-center my-4">
              <mdb-range-input wrapperClass="my-4 w-75" :min="0" :max="100" v-model="slider3Value" wrapperClassName>
              </mdb-range-input>
            </div>
            <div class="d-flex justify-content-center my-4">
              <mdb-range-input wrapperClass="my-4 w-100" :min="40" :max="100" v-model="slider4Value" wrapperClassName>
              </mdb-range-input>
            </div>
          </div>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbRangeInput
          } from 'mdbvue';
          export default {
            name: 'SelectPage',
            components: {
              mdbRangeInput
            },
            data() {
              return {
                range1Value: 25,
                range2Value: 40,
                range3Value: 0,
                range4Value: 50
              }
            }
          }
        </script>
        
        
    

Slider - API

In this section you will find advanced information about the Slider component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Import statement

        
            
      <script>
        import {
          mdbRangeInput
        } from 'mdbvue';
      </script>
      
        
    

API Reference: Properties

Name Type Default Description Example
class String Override or extend the styles applied to the component. <mdb-range-input class="example-class" ... />
wrapperClass String Override or extend the styles applied to the wrapper form. <mdb-range-input wrapperClass="example-class" ... />
min Number 0 Specify the minimum slider value <mdb-range-input :min="0" ... />
max Number 100 Specify the maximum slider value <mdb-range-input :max="100" ... />
value Number 50 Specify slider value <mdb-range-input :value="50" ... />
v-model Number 50 Specify slider value with two-way data binding <mdb-range-input :v-model="sliderValue" ... />

API Reference: Methods

Name Parameters Description Example
v-on:getValue value Returns input value. Use this method instead of v-model to handle input value changes. <mdb-range-input @getValue="getRangeValue" />

Angular Bootstrap Slider

Angular Slider - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap slider is an interactive component that lets the user swiftly slide through possible values spread on a desired range.

Its basic implementation is quite simple and does not require big blocks of code.

Examples of Angular Bootstrap slider use include:

  • Video progress bars
  • Volume increase/decrease
  • Enthusiasm-o-meters

See the following Angular Bootstrap slider examples:

Info notification

If you were looking for a slider and you meant a carousel component, click here to see all the possibilities.


Default slider

Default styling for Angular Bootstrap Slider component

        
            
          <mdb-range-input default="true" id="range" min="0" max="100"></mdb-range-input>
        
        
    

Material slider MDB Pro component

Material Design styling for an Angular Bootstrap Slider component

        
            
          <mdb-range-input id="range" min="0" max="100"></mdb-range-input>
        
        
    

Slider with price counter MDB Pro component

Slide to see the pricing change


You earn

$75

Client pays

$319

        
            
            <mdb-card>
              <mdb-card-body>
                <h3 class="text-center font-weight-bold blue-text mt-3 mb-4 pb-4">
                  <strong>Slide to see the pricing change</strong>
                </h3>
                <hr>
                <mdb-range-input (rangeValueChange)="onRangeValueChange($event)" id="range" min="0" max="100"></mdb-range-input>
                <div class="row">
                  <div class="col-md-6 text-center pb-5">
                    <h2>
                      <mdb-badge color="blue" class="lighten-2 mb-4">You earn</mdb-badge>
                    </h2>
                    <h2 class="display-4" style="color:#0d47a1">
                      <strong id="resellerEarnings">{{range}} $</strong>
                    </h2>
                  </div>
                  <div class="col-md-6 text-center pb-5">
                    <h2>
                      <mdb-badge color="blue" class="lighten-2 mb-4">Client pays</mdb-badge>
                    </h2>
                    <h2 class="display-4" style="color:#0d47a1">
                      <strong id="clientPrice">{{219 + range}} $</strong>
                    </h2>
                  </div>
                </div>
              </mdb-card-body>
            </mdb-card>
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'card-slider',
              templateUrl: './card-slider.component.html',
              styleUrls: ['./card-slider.component.scss'],
            })
            export class CardSliderComponent {
              range: any = 0;

              onRangeValueChange(event: any) {
                const value = event.value;
                this.range = value;
              }
            }
          
        
    

Slider with different width MDB Pro component

        
            
            <form class="my-3 w-25">
              <mdb-range-input id="range" min="1" value="50" max="100"></mdb-range-input>
            </form>
            <form class="my-3 w-50">
              <mdb-range-input id="range" min="1" value="50" max="100"></mdb-range-input>
            </form>
            <form class="my-3 w-75">
              <mdb-range-input id="range" min="1" value="50" max="100"></mdb-range-input>
            </form>
            <form class="my-3 w-100">
              <mdb-range-input id="range" min="1" value="50" max="100"></mdb-range-input>
            </form>
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'width-slider',
              templateUrl: './width-slider.component.html',
              styleUrls: ['./width-slider.component.scss'],
            })
            export class WidthSliderComponent {
              range: any = 0;

              onRangeValueChange(event: any) {
                const value = event.value;
                this.range = value;
              }
            }
          
        
    

Slider with first and last values MDB Pro component

0
100
0
100
0
100
        
            
              <mdb-card class="indigo lighten-5">
              <mdb-card-body>
                <div class="d-flex justify-content-center align-items-center my-4">
                  <span class="font-weight-bold indigo-text mr-2">{{min}}</span>
                  <form class="my-3 w-25">
                    <mdb-range-input id="range" [min]="min" value="50" [max]="max"></mdb-range-input>
                  </form>
                  <span class="font-weight-bold indigo-text ml-2">{{max}}</span>
                </div>

                <div class="d-flex justify-content-center align-items-center my-4">
                  <span class="font-weight-bold blue-text mr-2">{{min}}</span>
                  <form class="my-3 w-50">
                    <mdb-range-input id="range" [min]="min" value="50" [max]="max"></mdb-range-input>
                  </form>
                  <span class="font-weight-bold blue-text ml-2">{{max}}</span>
                </div>

                <div class="d-flex justify-content-center align-items-center my-4">
                  <span class="font-weight-bold purple-text mr-2">{{min}}</span>
                  <form class="my-3 w-75">
                    <mdb-range-input id="range" [min]="min" value="50" [max]="max"></mdb-range-input>
                  </form>
                  <span class="font-weight-bold purple-text ml-2">{{max}}</span>
                </div>
              </mdb-card-body>
            </mdb-card>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'first-and-last-slider',
                templateUrl: './first-and-last-slider.component.html',
                styleUrls: ['./first-and-last-slider.component.scss'],
              })
              export class FirstAndLastSliderComponent {
                range: any = 0;
                min = 0;
                max = 100;

                onRangeValueChange(event: any) {
                  const value = event.value;
                  this.range = value;
                }
              }
          
        
    

Multi range slider MDB Pro component

        
            
          <mdb-multi-range-input id="multi-range" min="0" max="100"></mdb-multi-range-input>
        
        
    

Angular Slider - API

In this section you will find informations about required modules of slider component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { RangeModule, CardsFreeModule } from 'ng-uikit-pro-standard';
          import { FormsModule } from '@angular/forms';
        
        
    

Inputs

MdbRangeInputComponent
Name Type Default Description Example
id string ' ' Specifies the input id id="range"
required boolean - Specifies if the input is required or not required="false"
name string ' ' Specifies the input name name="range"
value string ' ' Specifies the input value value="50"
disabled boolean ' ' Specifies if the input should be disabled or not disabled="false"
min number 0 Specifies the minimal value of range slider min="1"
max number 100 Specifies the max value of range slider max="32"
step number 1 Specifies the step of the range slider step="3"
default boolean false Specifies the default Bootstrap appearance of the range slider default="true"
defaultRangeCounterClass string ' ' Specifies the additional classes of default range slider value counter defaultRangeCounterClass="flex-center red-text"
MdbMultiRangeInputComponent
Name Type Default Description Example
id string ' ' Specifies the input id id="range"
required boolean - Specifies if the input is required or not required="false"
name string ' ' Specifies the input name name="range"
value {first: number | string, second: number | string} {first: 0, second: 0} Specifies the input value value="{first: 10, second: 15}"
disabled boolean ' ' Specifies if the input should be disabled or not disabled="false"
min number 0 Specifies the minimal value of range slider min="1"
max number 100 Specifies the max value of range slider max="32"
step number 1 Specifies the step of the range slider step="3"

Outputs

Name Type Description Example
rangeValueChange EventEmitter<{ first: number, second: number }> Emits the actual range slider value after change (rangeValueChange)="onRangeValueChange($event)"

React Bootstrap Slider

React Slider - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap slider is an interactive component that lets the user swiftly slide through possible values spread on the desired range.

Its basic implementation is quite simple and does not require big blocks of code.

Examples of React Bootstrap slider use:

  • Video progress bar
  • Volume increase/decrease
  • Enthusiasm-o-meter

See the following React Bootstrap slider examples:

Carousel

If you were looking for a slider and you meant a carousel component, click here to see all the possibilities.


Default slider

Default styling for React Bootstrap Slider component

        
            
      import React from "react";

      const SliderPage = () => {
        return (
          <div className="my-5">
            <label htmlFor="customRange1">Example range</label>
            <input type="range" className="custom-range" id="customRange1" />
          </div>
        );
      }

      export default SliderPage;
      
        
    

Material slider MDB Pro component

Material Design styling for React Bootstrap Slider component

        
            
          import React from "react";
          import { MDBRangeInput } from "mdbreact";

          const SliderPage = () => {

              return (
                <div className="my-5">
                  <MDBRangeInput min={0} max={100} value={50} />
                </div>
              );
          }

          export default SliderPage;
      
        
    

Slider with different width MDB Pro component

        
            
          import React from "react";
          import { MDBRangeInput, MDBRow } from "mdbreact";

          const SliderPage = () => {

              return (
                <MDBRow style={{ flexDirection: "column" }} className="my-5">
                  <MDBRangeInput
                    min={0}
                    max={100}
                    value={50}
                    formClassName="w-25"
                  />
                  <MDBRangeInput
                    min={0}
                    max={100}
                    value={50}
                    formClassName="w-50"
                  />
                  <MDBRangeInput
                    min={0}
                    max={100}
                    value={50}
                    formClassName="w-75"
                  />
                  <MDBRangeInput
                    min={0}
                    max={100}
                    value={50}
                    formClassName="w-100"
                  />
                </MDBRow>
              );
          }

          export default SliderPage;

      
        
    

Slider with first and last value MDB Pro component

0
100
0
100
0
100
        
            
          import React from "react";
          import { MDBRangeInput, MDBRow, MDBContainer } from "mdbreact";

          const SliderPage = () => {
              return (
                <MDBContainer>
                  <MDBRow center>
                    <span className="font-weight-bold indigo-text mr-2">0</span>
                    <MDBRangeInput
                      min={0}
                      max={100}
                      value={50}
                      formClassName="w-25"
                    />
                    <span className="font-weight-bold indigo-text ml-2">100</span>
                  </MDBRow>
                  <MDBRow center>
                    <span className="font-weight-bold blue-text mr-2">0</span>
                    <MDBRangeInput
                      min={0}
                      max={100}
                      value={50}
                      formClassName="w-50"
                    />
                    <span className="font-weight-bold blue-text ml-2">100</span>
                  </MDBRow>
                  <MDBRow center>
                    <span className="font-weight-bold purple-text mr-2">0</span>
                    <MDBRangeInput
                      min={0}
                      max={100}
                      value={50}
                      formClassName="w-75"
                    />
                    <span className="font-weight-bold purple-text ml-2">100</span>
                  </MDBRow>
                </MDBContainer>
              );
          }

          export default SliderPage;

      
        
    

Slider with icons within card MDB Pro component

Card image cap

Choose your slider option


50
50
50
        
            
        import React from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBRangeInput,
          MDBCard,
          MDBCol,
          MDBCardBody,
          MDBCardTitle,
          MDBCardImage,
          MDBIcon,
        } from "mdbreact";
        
        const SliderPage = () => {
          return (
            <MDBContainer>
              <MDBCol sm="4">
                <MDBCard>
                  <MDBCardImage
                    top
                    src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20%28131%29.webp"
                    overlay="white-slight"
                    hover
                    waves
                    alt="Card image cap"
                  />
                  <MDBCardBody>
                    <MDBCardTitle>Choose your slider option</MDBCardTitle>
                    <hr />
                    <MDBRow className="my-4" center>
                      <MDBIcon
                        far
                        className="font-weight-bold blue-text mr-2 mt-1"
                        icon="thumbs-down"
                      />
                      <MDBRangeInput
                        min={0}
                        max={100}
                        value={50}
                        formClassName="w-75"
                      />
                      <MDBIcon
                        far
                        className="font-weight-bold blue-text ml-2 mt-1"
                        icon="thumbs-up"
                      />
                    </MDBRow>
                    <MDBRow className="my-4" center>
                      <MDBIcon
                        className="font-weight-bold indigo-text mr-2 mt-1"
                        icon="dollar-sign"
                      />
                      <MDBRangeInput
                        min={0}
                        max={100}
                        value={50}
                        formClassName="w-75"
                      />
                      <MDBIcon
                        className="font-weight-bold indigo-text ml-2 mt-1"
                        icon="euro-sign"
                      />
                    </MDBRow>
                    <MDBRow className="my-4" center>
                      <MDBIcon
                        className="font-weight-bold indigo-text mr-2 mt-1"
                        icon="minus"
                      />
                      <MDBRangeInput
                        min={0}
                        max={100}
                        value={50}
                        formClassName="w-75"
                      />
                      <MDBIcon
                        className="font-weight-bold indigo-text ml-2 mt-1"
                        icon="plus"
                      />
                    </MDBRow>
                  </MDBCardBody>
                </MDBCard>
              </MDBCol>
            </MDBContainer>
          );
        };
        
        export default SliderPage;
        
        
        
    

Slider with price counter MDB Pro component

Slide to see the pricing change


You earn

$75

Client pays

$319

        
            
        import React, { Component } from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBRangeInput,
          MDBCard,
          MDBCol,
          MDBCardBody,
          MDBBadge,
        } from "mdbreact";
        
        class SliderPage extends Component {
          state = {
            value: 0,
          };
        
          handlePricingChange = (value) => {
            this.setState({ value });
          };
        
          render() {
            return (
              <MDBContainer className="mt-5">
                <MDBCol sm="6">
                  <MDBCard>
                    <MDBCardBody>
                      <h3 className="text-center font-weight-bold blue-text mt-3 mb-4 pb-4">
                        <strong>Slide to see the pricing change</strong>
                      </h3>
                      <hr />
                      <MDBRow className="my-4" center>
                        <MDBRangeInput
                          min={0}
                          max={96}
                          value={0}
                          formClassName="w-75"
                          getValue={this.handlePricingChange}
                        />
                      </MDBRow>
                      <MDBRow>
                        <MDBCol className="text-center pb-5" size="6">
                          <h2>
                            <MDBBadge color="blue lighten-2" className="mb-4">
                              You earn
                            </MDBBadge>
                          </h2>
                          <h2 className="display-4" style={{ color: "#0d47a1" }}>
                            <strong>${this.state.value}</strong>
                          </h2>
                        </MDBCol>
                        <MDBCol className="text-center pb-5" size="6">
                          <h2>
                            <MDBBadge color="blue lighten-2" className="mb-4">
                              Client pays
                            </MDBBadge>
                          </h2>
                          <h2 className="display-4" style={{ color: "#0d47a1" }}>
                            <strong>${223 + +this.state.value}</strong>
                          </h2>
                        </MDBCol>
                      </MDBRow>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
              </MDBContainer>
            );
          }
        }
        
        export default SliderPage;
        
      
        
    

React Slider - API

In this section you will find advanced information about the Slider component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what methods you can use to work with it.

Import statement

        
            
          import { MDBRangeInput } from "mdbreact";
        
        
    

API Reference: MDBRangeInput Properties

Name Type Default Description Example
min Number 0 Sets the lowest Slider's value <MDBRangeInput min={10} ... />
max Number 100 Sets the highest slider's value <MDBRangeInput max={101} ... />
step Number 1 Specifies the interval between valid values in a number-based input. <MDBRangeInput step={0.1} ... />
tag String div Changes default tag <MDBRangeInput tag="form" ... />
value Number 50 Slider's value - useful for additional data binding and edge use-cases <MDBRangeInput value={32} ... />

API Reference: MDBRangeInput Methods

Name Parameters Description Example
getValue value Returns slider value, on onChange event <MDBRangeInput getValue={this.handlePricingChange} />